Bug 1490068 - Review Request: python-graphitesend - Easy python bindings to write to Carbon
Summary: Review Request: python-graphitesend - Easy python bindings to write to Carbon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-09 20:25 UTC by Jakub Jedelsky
Modified: 2017-10-02 02:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-22 18:51:50 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jakub Jedelsky 2017-09-09 20:25:35 UTC
Spec URL: http://s.stderr.cz/rpm/python-graphitesend.spec
SRPM URL: http://s.stderr.cz/rpm/python-graphitesend-0.10.0-1.fc28.src.rpm
Description: Easy python bindings to write to Carbon (Re-write of carbonclient).
Fedora Account System Username: kubo

Comment 1 Robert-André Mauchin 2017-09-11 14:19:52 UTC
Hello,

 - could you add a comment above each patch to explain what they are for?

Everything else is fine, and the above comment is trivial, so the package is accepted. Just don't forget to add those comments before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache (v2.0)". 35
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-graphitesend/review-python-
     graphitesend/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-graphitesend , python3-graphitesend
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-graphitesend-0.10.0-1.fc28.x86_64.rpm
          python3-graphitesend-0.10.0-1.fc28.x86_64.rpm
          python-graphitesend-0.10.0-1.fc28.src.rpm
python2-graphitesend.x86_64: W: spelling-error %description -l en_US carbonclient -> carbon client, carbon-client, carbonation
python2-graphitesend.x86_64: W: no-manual-page-for-binary graphitesend
python3-graphitesend.x86_64: W: spelling-error %description -l en_US carbonclient -> carbon client, carbon-client, carbonation
python3-graphitesend.x86_64: W: no-manual-page-for-binary graphitesend
python-graphitesend.src: W: spelling-error %description -l en_US carbonclient -> carbon client, carbon-client, carbonation
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 2 Jakub Jedelsky 2017-09-11 19:10:05 UTC
Hi Robert,

thanks for the review. I don't think it's necessary to have comments there, but it isn't problem to add them :)

Thanks again,

- jj.

Comment 3 Gwyn Ciesla 2017-09-11 19:25:04 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-graphitesend

Comment 4 Fedora Update System 2017-09-11 20:27:03 UTC
python-graphitesend-0.10.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-152a42dbfd

Comment 5 Fedora Update System 2017-09-11 20:28:11 UTC
python-graphitesend-0.10.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-daf5d03748

Comment 6 Fedora Update System 2017-09-11 20:28:41 UTC
python-graphitesend-0.10.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8554aaa12d

Comment 7 Fedora Update System 2017-09-11 20:29:06 UTC
python-graphitesend-0.10.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa7b63eaf9

Comment 8 Fedora Update System 2017-09-12 00:50:54 UTC
python-graphitesend-0.10.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-152a42dbfd

Comment 9 Fedora Update System 2017-09-12 01:24:23 UTC
python-graphitesend-0.10.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8554aaa12d

Comment 10 Fedora Update System 2017-09-12 02:21:52 UTC
python-graphitesend-0.10.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-daf5d03748

Comment 11 Fedora Update System 2017-09-12 19:56:27 UTC
python-graphitesend-0.10.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa7b63eaf9

Comment 12 Fedora Update System 2017-09-13 20:40:09 UTC
python-graphitesend-0.10.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-05a3ffe8b3

Comment 13 Fedora Update System 2017-09-13 20:40:55 UTC
python-graphitesend-0.10.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-57804d0746

Comment 14 Fedora Update System 2017-09-13 20:41:22 UTC
python-graphitesend-0.10.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0c2d85973e

Comment 15 Fedora Update System 2017-09-14 18:22:11 UTC
python-graphitesend-0.10.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0c2d85973e

Comment 16 Fedora Update System 2017-09-15 04:50:10 UTC
python-graphitesend-0.10.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-05a3ffe8b3

Comment 17 Fedora Update System 2017-09-15 04:52:01 UTC
python-graphitesend-0.10.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-57804d0746

Comment 18 Tuomo Soini 2017-09-15 07:11:50 UTC
There is a dependency issue in epel7. rhel7 python-gevent doesn't provide python2-gevent so dep should be changed for epel7.

package: python2-graphitesend-0.10.0-1.el7.x86_64
  unresolved deps:
   python2-gevent

Comment 19 Jakub Jedelsky 2017-09-15 07:37:44 UTC
Hi Tuomo,

many thanks for report. Fixed with commit [1] and build is on the way.

[1] https://src.fedoraproject.org/rpms/python-graphitesend/c/b141bfeac9977d1010910ee9f9382c1632c16df4?branch=epel7

- jj

Comment 20 Fedora Update System 2017-09-15 07:40:36 UTC
python-graphitesend-0.10.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-915879f82e

Comment 21 Fedora Update System 2017-09-15 07:49:35 UTC
python-graphitesend-0.10.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b4172ff270

Comment 22 Fedora Update System 2017-09-16 05:49:59 UTC
python-graphitesend-0.10.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b4172ff270

Comment 23 Fedora Update System 2017-09-22 18:51:50 UTC
python-graphitesend-0.10.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-09-22 23:23:18 UTC
python-graphitesend-0.10.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-09-30 06:28:26 UTC
python-graphitesend-0.10.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-10-02 02:18:30 UTC
python-graphitesend-0.10.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.